﻿using MongoDB.Bson.Serialization.Attributes;
using ASHermed.SinoInterface.Enum;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Entity
{
    /// <summary>
    /// 基础实体
    /// </summary>
    public class BaseEntity
    {
        /// <summary>
        /// 创建人Id
        /// </summary>
        public long CreateById { get; set; }

        /// <summary>
        /// 创建人姓名
        /// </summary>
        public string CreateByName { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [BsonDateTimeOptions(Kind = DateTimeKind.Local)]
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 修改人Id
        /// </summary>
        public long UpdateById { get; set; }

        /// <summary>
        /// 修改人姓名
        /// </summary>
        public string UpdateByName { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        [BsonDateTimeOptions(Kind = DateTimeKind.Local)]
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// 数据状态
        /// </summary>
        public DataStateType DataState { get; set; } = DataStateType.Normal;
    }
}
